import {Navigate, Routes, Route, Outlet} from 'react-router-dom'
import {PageLink, PageTitle} from '../../../../../../../_metronic/layout/core'
import {Overview} from './Overview'
import {Projects} from '../../../../../profile/components/Projects'
import {Campaigns} from '../../../../../profile/components/Campaigns'
import {Documents} from '../../../../../profile/components/Documents'
import {Connections} from '../../../../../profile/components/Connections'
import {OrganisationLandingPageHeader} from './OrganisationLandingPageHeader'
import { Hierarchy } from './hierarchy'

const organisationBreadCrumbs: Array<PageLink> = [
  {
    title: 'Organisation',
    path: 'organisation/overview/:id',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]

const OrganisationLandingPage = () => (
  <Routes>
    <Route
      element={
        <>
          <OrganisationLandingPageHeader />
          <Outlet />
        </>
      }
    >
      <Route
        path='overview/:id'
        element={
          <>
            <PageTitle breadcrumbs={organisationBreadCrumbs}>Overview</PageTitle>
            <Overview />
          </>
        }
      />
      <Route
        path='hierarchy/:id'
        element={
          <>
            <PageTitle breadcrumbs={organisationBreadCrumbs}>Hierarchy</PageTitle>
            <Hierarchy />
          </>
        }
      />
      <Route
        path='campaigns'
        element={
          <>
            <PageTitle breadcrumbs={organisationBreadCrumbs}>Campaigns</PageTitle>
            <Campaigns />
          </>
        }
      />
      <Route
        path='documents'
        element={
          <>
            <PageTitle breadcrumbs={organisationBreadCrumbs}>Documents</PageTitle>
            <Documents />
          </>
        }
      />
      <Route
        path='connections'
        element={
          <>
            <PageTitle breadcrumbs={organisationBreadCrumbs}>Connections</PageTitle>
            <Connections />
          </>
        }
      />
      <Route index element={<Navigate to='/crafted/pages/profile/overview/:id' />} />
    </Route>
  </Routes>
)

export default OrganisationLandingPage
